DNF5-SWAP(8)

NUME
dnf5-swap - comanda «swap»

SINOPSIS

dnf5 swap [opțiuni] <specificație-eliminare> <specificație-instalare>

DESCRIERE

Comanda swap din DNF5 este utilizată pentru eliminarea unui pachet și instalarea unuia diferit într-o singură tranzacție. Atât <specificație-eliminare> cât și <specificație-instalare> sunt <NPFB-specificație-pachet>

OPȚIUNI

    --allowerasing
        Permite eliminarea pachetelor instalate pentru a rezolva eventualele probleme de dependență.

    --installed-from-repo=ID_DEPOZIT,...
        Filtrează pachetele instalate după ID-ul depozitului din care au fost instalate.

    --from-repo=ID_DEPOZIT,...
        Pachetele (sau furnizorii acestora) specificate explicit în linia de comandă vor fi căutate numai în depozitele specificate.
        Aceste depozite sunt activate automat.
        Activarea și dezactivarea depozitelor se aplică în continuare. Dependențele acestor pachete vor fi rezolvate din orice depozit activat.

    --from-repo=FURNIZOR...
        Lista furnizorilor separați prin virgule sau spații. Sunt acceptate caracterele globale (de exemplu, --from-vendor='Fedora\ project, furnizorA, furnizorB*, furnizorC').
        Pachetele (sau furnizorii acestora) specificați în mod explicit în linia de comandă vor fi căutați numai la furnizorii specificați.
        Verificarea schimbării furnizorului este ocolită pentru aceste pachete.
        Furnizorul este ignorat sau politicile de schimbare a furnizorului (dacă allow_vendor_change=0) vor fi în continuare utilizate pentru pachetele care satisfac dependențele.

    --offline
        Stochează tranzacția care urmează să fie efectuată fără conexiune „offline”. A se vedea comanda «offline» <#offline-command-ref-label>, dnf5-offline(8).

    --store=RUTA
        Stochează tranzacția curentă într-un director la RUTA specificată, în loc să o execute.
        Tranzacția stocată poate fi executată prin comanda <#replay-command-ref-label>, dnf5-replay(8).
        Rețineți că ID-urile depozitelor din tranzacția stocată sunt modificate în @stored_transaction(repo_id); acest lucru este necesar
        deoarece, în timpul reluării, depozitele stocate sunt recreate și pot intra în conflict cu depozitele deja existente
        (acest lucru nu se aplică depozitului special @System).

EXEMPLE

    dnf5 swap mlocate plocate
        Elimină pachetul mlocate și instalează în schimb pachetul plocate în cadrul unei singure tranzacții.

CONSULTAȚI ȘI
        dnf5-specs(7), Specificația modelelor <#specs-misc-ref-label>

Autor
A se vedea AUTHORS.md în distribuția sursei dnf5.

Drepturi de autor
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.